Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossJ2EEModule

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossJ2EEModule

All Implemented Interfaces:
  management.J2EEManagedObject, java.io.Serializable

Direct Known Subclasses:
  JBossEjbModule, JBossJ2EEApplication

public synchronized class JBossJ2EEModule
extends JBossJ2EEManagedObject

See Also:
  Serialized Form

Constructor Summary
`JBossJ2EEModule(java.lang.String)`

Method Summary
`management.J2EEApplication` | `getApplication()`
`java.lang.String` | `getDeploymentDescriptor()`
`management.J2EEServer[]` | `getServers()`
`void` | `setApplication(management.J2EEApplication)`
`void` | `setDeploymentDescriptor(java.lang.String)`
`void` | `setServers(management.J2EEServer[])`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossJ2EEModule

    public JBossJ2EEModule(java.lang.String)

Method Detail

### getApplication

    public management.J2EEApplication getApplication()

### getDeploymentDescriptor

    public java.lang.String getDeploymentDescriptor()

### getServers

    public management.J2EEServer[] getServers()

### setApplication

    public void setApplication(management.J2EEApplication)

### setDeploymentDescriptor

    public void setDeploymentDescriptor(java.lang.String)

### setServers

    public void setServers(management.J2EEServer[])

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.